%define initdir		/etc/rc.d/init.d
%define user		smmsp
%define uid		26
%define usergroup	smmsp
%define gid		26

Summary: A widely used Mail Transport Agent (MTA).
Name: sendmail
Version: 8.12.6
Release: 1
Copyright: BSD
Group: System Environment/Daemons
Provides: smtpdaemon
Source0: ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.gz
Source1: sendmail.init
Source3: aliases
Source4: sendmail.sysconfig
Source5: sendmail-8.9.3-etc-mail-Makefile
Source6: sendmail-redhat.mc
Source7: sendmail-wesmo.mc
Source8: sendmail-submit.mc
Source9: sendmail-sasl.conf
Source10: sendmail-pam.conf
Patch0: sendmail-8.12.1-redhat.patch
Patch1: sendmail-8.11.0-cf.patch
Patch2: sendmail-8.8.7-rmail.patch
Patch3: sendmail-8.12.0-smrsh.patch
#Patch4: sendmail-8.12.2-milter.patch
#Patch5: sendmail-8.12.2-comm.patch
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig
BuildRequires: gcc cyrus-sasl cyrus-sasl-devel openssl-devel db3-devel

%description
The Sendmail program is a very widely used Mail Transport Agent (MTA).
MTAs send mail from one machine to another. Sendmail is not a client
program, which you use to read your e-mail. Sendmail is a
behind-the-scenes program which actually moves your e-mail over
networks or the Internet to where you want it to go.

If you ever need to reconfigure Sendmail, you'll also need to have the
sendmail.cf package installed.  If you need documentation on Sendmail,
you can install the sendmail-doc package.

This has specifically been built using the wesmo.mc M4 configuration file.
It is extremely similar to the default redhat config file, except it adds
support for STARTTLS and SMTP AUTH, as well as additional anti-spam
capabilities.

Be sure you have SSL (needed for STARTTLS) installed.


%package doc
Summary: Documentation about the Sendmail Mail Transport Agent program.
Group: Documentation

%description doc
The sendmail-doc package contains documentation about the Sendmail
Mail Transport Agent (MTA) program, including release notes, the
Sendmail FAQ and a few papers written about Sendmail.  The papers are
provided in PostScript(TM) and troff formats.

Install the sendmail-doc package if you need documentation about
Sendmail.

%package cf
Summary: The files needed to reconfigure Sendmail.
Group: System Environment/Daemons

%description cf
This package includes the configuration files which you'd need to
generate the sendmail.cf file distributed with the sendmail package.
You'll need the sendmail-cf package if you ever need to reconfigure
and rebuild your sendmail.cf file.  For example, the default
sendmail.cf file is not configured for UUCP.  If someday you needed to
send and receive mail over UUCP, you'd need to install the sendmail-cf
package to help you reconfigure Sendmail.

Install the sendmail-cf package if you need to reconfigure your
sendmail.cf file.

%preinstall
/usr/sbin/groupadd -g %{gid} -f %{usergroup}
/usr/sbin/useradd -s /bin/false -c "Sendmail Manager" -d /bin/false -M -n -r -u %{uid} -g %{gid} %{user} 2> /dev/null || :

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1
#%patch5 -p1

sed -e 's|@@PATH@@|\.\.|' < %{SOURCE6} > cf/cf/redhat.mc
sed -e 's|@@PATH@@|\.\.|' < %{SOURCE7} > cf/cf/wesmo.mc
sed -e 's|@@PATH@@|\.\.|' < %{SOURCE8} > cf/cf/submit.mc

# Add group and use now before we start to compile. (Or building will fail.)
/usr/sbin/groupadd -g %{gid} -f %{usergroup}
/usr/sbin/useradd -s /bin/false -c "Sendmail Manager" -d /bin/false -M -n -r -u %{uid} -g %{gid} %{user} 2> /dev/null || :


# Prep the docs for later installation
mv sendmail/README sendmail/README.sendmail
mv cf/README cf/README.cf
mv smrsh/README smrsh/README.smrsh

%build

cd libmilter
sh Build -f ../redhat.config.m4
cd ..

cd sendmail
sh Build -f ../redhat.config.m4
cd ..

cd mailstats
sh Build -f ../redhat.config.m4
cd ..

cd rmail
sh Build -f ../redhat.config.m4
cd ..

cd makemap
sh Build -f ../redhat.config.m4
cd ..

cd praliases
sh Build -f ../redhat.config.m4
cd ..

cd smrsh
sh Build -f ../redhat.config.m4
cd ..

cd cf/cf
m4 wesmo.mc > redhat.cf

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
mkdir -p etc/rc.d/init.d etc/rc.d/rc{0,1,2,3,4,5,6}.d etc/sysconfig usr/include/libmilter
mkdir -p usr/bin usr/lib usr/man/man{1,5,8} usr/sbin var/log var/spool usr/lib/sendmail-cf
cd -

OBJDIR=obj.$(uname -s).$(uname -r).$(arch)

make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=%{gid} MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/sendmail
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/mailstats
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/praliases
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 force-install -C $OBJDIR/rmail
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/makemap
ln -sf ../sbin/makemap $RPM_BUILD_ROOT/usr/bin/makemap
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/smrsh
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/libmilter
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/libsm
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/libsmdb
make DESTDIR=$RPM_BUILD_ROOT BINOWN=`id -nu` BINGRP=`id -ng` MANOWN=`id -nu` MANGRP=`id -ng` \
 install -C $OBJDIR/libsmutil

# install docs by hand
#mkdir -p $RPM_BUILD_ROOT/usr/share/doc/sendmail
#mkdir -p $RPM_BUILD_ROOT/usr/doc/sendmail/sendmail
#mkdir -p $RPM_BUILD_ROOT/usr/doc/sendmail/cf
#mkdir -p $RPM_BUILD_ROOT/usr/doc/sendmail/smrsh
#cp -ar FAQ LICENSE KNOWNBUGS PGPKEYS README RELEASE_NOTES doc $RPM_BUILD_ROOT/usr/doc/sendmail
#cp smrsh/README $RPM_BUILD_ROOT/usr/doc/sendmail/smrsh/README
#cp cf/README $RPM_BUILD_ROOT/usr/doc/sendmail/cf/README
#cp sendmail/README sendmail/SECURITY sendmail/TRACEFLAGS sendmail/TUNING $RPM_BUILD_ROOT/usr/doc/sendmail/sendmail

# install the cf files
cd cf
cp -ar * $RPM_BUILD_ROOT/usr/lib/sendmail-cf
cd -

install -m 644 cf/cf/redhat.cf $RPM_BUILD_ROOT/etc/mail/sendmail.cf
install -m 644 cf/cf/submit.cf $RPM_BUILD_ROOT/etc/mail/submit.cf
sed -e 's|@@PATH@@|/usr/lib/sendmail-cf|' < %{SOURCE6} > $RPM_BUILD_ROOT/etc/mail/sendmail.mc
echo "# sendmail.cw - include all aliases for your machine here." > $RPM_BUILD_ROOT/etc/mail/local-host-names

ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
install -d -m700 $RPM_BUILD_ROOT/var/spool/mqueue
install -d -m770 -o %{uid} -g %{gid} $RPM_BUILD_ROOT/var/spool/clientmqueue

# XXX REVERTING
#mkdir -p $RPM_BUILD_ROOT/etc/mail
#cd $RPM_BUILD_ROOT/etc/mail
#touch ip_allow
#touch name_allow
#touch relay_allow
#touch deny
#touch deny.db
#chmod 644 deny.db

# dangling symlinks
for f in hoststat mailq newaliases purgestat
  do
    ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/bin/${f}
  done
mkdir -p $RPM_BUILD_ROOT/etc/smrsh
mkdir -p $RPM_BUILD_ROOT/etc/mail
mkdir -p $RPM_BUILD_ROOT/etc/pam.d

cat <<EOF > $RPM_BUILD_ROOT/etc/mail/access
# Check the /usr/doc/sendmail-%{version}/README.cf file for a description
# of the format of this file. (search for access_db in that file)
# The /usr/doc/sendmail-%{version}/README.cf is part of the sendmail-doc
# package.
#
# by default we allow relaying from localhost...
localhost.localdomain		RELAY
localhost			RELAY
127.0.0.1			RELAY

EOF
for map in virtusertable access domaintable mailertable
  do
    touch $RPM_BUILD_ROOT/etc/mail/${map}
    chmod 0644 $RPM_BUILD_ROOT/etc/mail/${map}
    makemap hash $RPM_BUILD_ROOT/etc/mail/${map}.db < $RPM_BUILD_ROOT/etc/mail/${map}
    chmod 0644 $RPM_BUILD_ROOT/etc/mail/${map}.db
  done
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/mail/aliases
makemap hash $RPM_BUILD_ROOT/etc/mail/aliases.db < %{SOURCE3}

install -m644 %SOURCE4 $RPM_BUILD_ROOT/etc/sysconfig/sendmail
install -m755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K30sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K30sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K30sendmail

install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/mail/Makefile

chmod u+w $RPM_BUILD_ROOT/usr/sbin/{mailstats,praliases}
chmod u+w $RPM_BUILD_ROOT/usr/bin/rmail

strip $RPM_BUILD_ROOT/usr/sbin/{mailstats,praliases,sendmail}
strip $RPM_BUILD_ROOT/usr/bin/rmail

install -m 755 -d $RPM_BUILD_ROOT/%{_libdir}/sasl
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/%{_libdir}/sasl/Sendmail.conf
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/pam.d/smtp

install -m 755 -d $RPM_BUILD_ROOT/%{_libdir}
install -m 644  $OBJDIR/libmilter/libmilter.a $RPM_BUILD_ROOT/%{_libdir}
install -m 644  $OBJDIR/libsmutil/libsmutil.a $RPM_BUILD_ROOT/%{_libdir}
install -m 644  $OBJDIR/libsm/libsm.a $RPM_BUILD_ROOT/%{_libdir}
install -m 644  $OBJDIR/libsm/*.h $RPM_BUILD_ROOT/%{_includedir}/libmilter
install -m 644  $OBJDIR/libsmdb/*.a $RPM_BUILD_ROOT/%{_libdir}
install -m 644  $OBJDIR/libsmdb/*.h $RPM_BUILD_ROOT/%{_includedir}/libmilter
install -m 644  include/libmilter/*.h $RPM_BUILD_ROOT/%{_includedir}/libmilter

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ "$1" -ge "1" ]; then
    /%{initdir}/sendmail condrestart >/dev/null 2>&1
fi
exit 0

%post
#
# Convert old format to new
#
if [ -f /etc/mail/deny ] ; then
    cat /etc/mail/deny | \
	awk 'BEGIN{ print "# Entries from obsoleted /etc/mail/deny"} \
		  {print $1" REJECT"}' >> /etc/mail/access
    cp /etc/mail/deny /etc/mail/deny.rpmorig
fi
for oldfile in relay_allow ip_allow name_allow ; do
    if [ -f /etc/mail/$oldfile ] ; then
	cat /etc/mail/$oldfile | \
		awk "BEGIN { print \"# Entries from obsoleted /etc/mail/$oldfile\" ;} \
	     { print $1\" RELAY\" }" >> /etc/mail/access
	cp /etc/mail/$oldfile /etc/mail/$oldfile.rpmorig
     fi
done

#
# Rebuild maps (next reboot will rebuild also)
#
{ /usr/bin/newaliases
  for map in virtusertable access domaintable mailertable
  do
    if [ -f /etc/mail/${map} ] ; then
      /usr/bin/makemap hash /etc/mail/${map} < /etc/mail/${map}
      sleep 1
    fi
  done
} > /dev/null 2>&1

/sbin/chkconfig --add sendmail

%preun
if [ $1 = 0 ]; then
   %{initdir}/sendmail stop >/dev/null 2>&1
   /sbin/chkconfig --del sendmail
fi

%files
%defattr(-,root,root)
/usr/sbin/mailstats
/usr/sbin/praliases
/usr/bin/hoststat
/usr/bin/purgestat
/usr/bin/rmail
/usr/bin/makemap
/usr/sbin/makemap
%attr(2555,smmsp,smmsp)	/usr/sbin/sendmail
/usr/bin/newaliases
/usr/bin/mailq
/usr/sbin/smrsh
/usr/lib/sendmail
/usr/lib/libmilter.a
/usr/lib/libsm.a
/usr/lib/libsmdb.a
/usr/lib/libsmutil.a
/usr/include/libmilter/*

/usr/man/man8/rmail.8*
/usr/man/man8/praliases.8*
/usr/man/man8/mailstats.8*
/usr/man/man8/makemap.8*
/usr/man/man8/sendmail.8*
/usr/man/man5/aliases.5*
/usr/man/man1/newaliases.1*
/usr/man/man1/mailq.1*

/var/log/statistics
/etc/mail/helpfile
# XXX can't do noreplace here or new sendmail will not deliver.
%config				/etc/mail/sendmail.cf
%config				/etc/mail/submit.cf
%attr(0644,root,root) %config	/etc/mail/sendmail.mc
%config(noreplace)		/etc/mail/local-host-names
%config(noreplace)		/etc/mail/aliases
%attr(0644,root,mail) %ghost	/etc/mail/aliases.db
%attr(0700,root,mail) %dir	/var/spool/mqueue
%attr(0770,%{user},%{usergroup}) %dir	/var/spool/clientmqueue
%dir /etc/smrsh
%dir /etc/mail

# XXX REVERTING
#%config /etc/mail/ip_allow
#%config /etc/mail/name_allow
#%config /etc/mail/relay_allow
#%config /etc/mail/deny
#%attr(0644,root,root) %ghost	/etc/mail/deny.db

%config /etc/mail/Makefile
%attr(0644,root,root) %ghost			/etc/mail/virtusertable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/virtusertable

%attr(0644,root,root) %ghost			/etc/mail/access.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/access

%attr(0644,root,root) %ghost			/etc/mail/domaintable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/domaintable

%attr(0644,root,root) %ghost			/etc/mail/mailertable.db
%attr(0644,root,root) %config(noreplace)	/etc/mail/mailertable

%config(noreplace) /etc/sysconfig/sendmail

%config %{initdir}/sendmail

%config %{_libdir}/sasl/Sendmail.conf
/etc/pam.d/smtp

%config(missingok) /etc/rc.d/rc0.d/K30sendmail
%config(missingok) /etc/rc.d/rc1.d/K30sendmail
%config(missingok) /etc/rc.d/rc2.d/S80sendmail
%config(missingok) /etc/rc.d/rc3.d/S80sendmail
%config(missingok) /etc/rc.d/rc4.d/S80sendmail
%config(missingok) /etc/rc.d/rc5.d/S80sendmail
%config(missingok) /etc/rc.d/rc6.d/K30sendmail

%files cf
%defattr(-,root,root)
/usr/lib/sendmail-cf

%files doc
%defattr(-,root,root)
%doc FAQ LICENSE KNOWNBUGS PGPKEYS README RELEASE_NOTES doc smrsh/README.smrsh cf/README.cf sendmail/README.sendmail sendmail/SECURITY sendmail/TRACEFLAGS sendmail/TUNING

%changelog
* Wed Aug 28 2002 Rich West <Rich.West@wesmo.com>
- Updated to 8.12.6

* Wed Jul 17 2002 Rich West <Rich.West@wesmo.com>
- Updated to 8.12.5

* Mon Jun 03 2002 Rich West <Rich.West@wesmo.com>
- Update to 8.12.4

* Fri Apr 05 2002 Rich West <Rich.West@wesmo.com>
- Update to 8.12.3
- Removed milter patch.  It is now incorporated.
- Removed comm patch.  It is now incorporated.
- Fixed the perms on the installation of the sendmail binary.

* Tue Mar 05 2002 Rich West <Rich.West@wesmo.com>
- Included the comm.c patch.

* Thu Feb 28 2002 Rich West <Rich.West@wesmo.com>
- Included the milter patch.
- Removed the old check.tar source since it has long since been outdated.
- Updated the default mc file Privacy Options.
- Updated the default mc file Connection 220 Banner.
- Updated the default mc file TO_IDENT timeout.
- Updated the default mc file MAX_DAEMON_CHILDREN to 100 to prevent runaways.
- Updated BuildRequires list.

* Tue Feb 05 2002 Rich West <Rich.West@wesmo.com>
- Rebuilt against openssl-0.9.6c

* Wed Jan 30 2002 Hugo van der Kooij <hugo@vanderkooij.org>
- Changed group to usergroup as group is a reserved variable.
- Added groupadd to the preinstall script
- Added useradd & groupadd to the build script. Building without them
  will result in an error during compilation if the user and group do
  not yet exist.

* Fri Jan 18 2002 Rich West <Rich.West@wesmo.com>
- Updated to 8.12.2

* Wed Dec 05 2001 Rich West <Rich.West@wesmo.com>
- Updated redhat patch to include -DMILTER.
- Added the pam config file.
- Added the sasl config file.
- Added all of the libmilter stuff and updated the file definitions for the
  package.

* Thu Oct 04 2001 Rich West <Rich.West@wesmo.com>
- Upgraded to 8.12.1

* Sun Sep 16 2001 Rich West <Rich.West@wesmo.com>
- Upgraded to 8.12.0
- Added notation to the package info.
- Updated SMTP AUTH defines.  sfio is no longer needed.
- Updated wesmo.mc file
- included the creation/definition of the smmsp user for secure mail transport.

* Mon Aug 20 2001 Rich West <Rich.West@wesmo.com>
- Upgraded to 8.11.6

* Fri Aug 03 2001 Rich West <Rich.West@wesmo.com>
- Upgraded to 8.11.5.

* Fri May 25 2001 Rich West <rwest@wesmo.com>
- Upgraded to 8.11.3 some time ago, just never changelog'ed it.
- Added in TLS support.
- Customized the RPM to create the WesMO .cf file.

* Tue Mar 14 2000 M W
- Remove OS/Linux.ppc file as un-needed for ppc build

* Thu Feb 17 2000 Cristian Gafton <gafton@redhat.com>
- break the hard link for makemap and create it as a symlnk (#8223)

* Thu Feb 17 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix location of mailertable (Bug #6035)

* Sat Feb  5 2000 Bill Nottingham <notting@redhat.com>
- fixes for non-root builds (#8178)

* Wed Feb  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change perms on /etc/sysconfig/sendmail from 0755 to 0644
- allow compressed man-pages

* Thu Dec 02 1999 Cristian Gafton <gafton@redhat.com>
- add patch to prevent the DoS when rebuilding aliases

* Wed Sep  1 1999 Jeff Johnson <jbj@redhat.com>
- install man pages, not groff output (#3746).
- use dnl not '#' in m4 comment (#3749).
- add FEATURE(mailtertable) to the config -- example file needs this (#4649).
- use db2 not db1.

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- add 127.0.0.1 to /etc/mail/access to avoid IDENT: relay problem (#3178).

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in preun, not postun (#3982)

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jul 02 1999 Cristian Gafton <gafton@redhat.com>
- fixed typo bug in comment in the default .mc file (#2812)

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- fox the awk scripts in the postinstall
- enable FEATURE(accept_unresolvable_domains) by default to make laptop
  users happy.

* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- make the redhat.mc be a separate source files. Sanitize patches that used
  to touch it.
- install redhat.mc as /etc/sendmail.mc so that people can easily modify
  their sendmail.cf configurations.

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- fixed virtusertable patch
- make smrsh look into /etc/smrsh

* Mon Mar 29 1999 Jeff Johnson <jbj@redhat.com>
- remove noreplace attr from sednmail.cf.

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- provide a more sane /etc/mail/access default config file
- use makemap to initializa the empty databases, not touch
- added a small, but helpful /etc/mail/Makefile

* Mon Mar 22 1999 Jeff Johnson <jbj@redhat.com>
- correxct dangling symlinks.
- check for map file existence in %post.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- improved 8.9.3 config from Mike McHenry <mmchen@minn.net>

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- version 8.9.3

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- use the libdb1 stuff correctly

* Mon Sep 21 1998 Michael K. Johnson <johnsonm@redhat.com>
- Allow empty QUEUE in /etc/sysconfig/sendmail for those who
  want to run sendmail in daemon mode without processing the
  queue regularly.

* Thu Sep 17 1998 Michael K. Johnson <johnsonm@redhat.com>
- /etc/sysconfig/sendmail

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added a rmail patch

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- argh!  Fixed some of the db1 handling that had to be added for glibc 2.1

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>
- added support for db1 on SPARC

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- various spec file cleanups
- changed group to Networking/Daemons (from Daemons).  Sure, it runs on
  non networked systems, but who really *needs* it then?

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- made /etc/mail/deny.db a ghost
- removed preun that used to remove deny.db (ghost handles that now)
- NOTE: upgrading from the sendmail packages in 4.8, 4.8.1, and possibly
  4.9 (all Red Hat betas between 4.2 and 5.0) could cause problems.  You
  may need to do a makemap in /etc/mail and a newaliases after upgrading
  from those packages.  Upgrading from 4.2 or prior should be fine.

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>
- fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>
- fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>
- updated to 8.8.7
- added some spam filtration
- combined some makefile patches
- added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- marked initscript symlinks as missingok
- run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc, udated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>
- Added -nsl on the Alpha (for glibc to provide NIS functions).

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Added nis support.
